| QxOrm 1.2.4 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions
qx::IxClass Class Reference
QxRegister : QxOrm library register context used by introspection engine (class, function, property...)

qx::IxClass : common interface for all classes registered into QxOrm context More...

`#include <IxClass.h>`

Inheritance diagram for qx::IxClass:

List of all members.

## Public Member Functions
QString | getKey () const
QString | getName () const
const char * | getNamePtr () const
QString | getDescription () const
long | getVersion () const
qx::dao::strategy::inheritance | getDaoStrategy () const
qx::QxSoftDelete | getSoftDelete () const
bool | isFinalClass () const
bool | isDaoReadOnly () const
IxDataMemberX * | getDataMemberX () const
IxFunctionX * | getFctMemberX () const
IxDataMember * | getId () const
void | setName (const QString &sName)
void | setDescription (const QString &sDesc)
void | setDaoStrategy (qx::dao::strategy::inheritance eDaoStrategy)
void | setSoftDelete (const qx::QxSoftDelete &oSoftDelete)
void | setDaoReadOnly (bool bDaoReadOnly)
virtual bool | isAbstract () const =0
virtual bool | implementIxPersistable () const =0
virtual const std::type_info & | typeInfo () const =0
virtual IxClass * | getBaseClass () const =0
virtual IxValidatorX * | getAllValidator ()
bool | isKindOf (const QString &sClassName) const
bool | isKindOf (const std::type_info &typeInfo) const
QString | dumpClass () const
## Protected Member Functions
| IxClass ()
virtual | ~IxClass ()=0
void | updateClassX ()
## Protected Attributes
IxDataMemberX * | m_pDataMemberX
| List of data member.
IxFunctionX_ptr | m_pFctMemberX
| List of function member.
QString | m_sKey
| 'IxClass' key <=> class name
QString | m_sName
| 'IxClass' name <=> database table name (if empty => class name)
QString | m_sDescription
| 'IxClass' description
long | m_lVersion
| 'IxClass' version
bool | m_bFinalClass
| Class without base class (for example, qx::trait::no_base_class_defined and QObject)
bool | m_bDaoReadOnly
| If 'true', cannot INSERT, UPDATE OR DELETE an instance of this class using qx::dao namespace.
qx::dao::strategy::inheritance | m_eDaoStrategy
| Dao class strategy to access data member.
qx::QxSoftDelete | m_oSoftDelete
| Soft delete (or logical delete) behavior.
IxValidatorX_ptr | m_pAllValidator
| List of validator associated to the class.
QByteArray | m_byteName
| Optimization to retrieve name under "const char *" format.
const char * | m_pName
| Optimization to retrieve name under "const char *" format.
## Private Member Functions
void | updateNamePtr ()

## Detailed Description

qx::IxClass : common interface for all classes registered into QxOrm context

Definition at line 58 of file IxClass.h.

## Constructor & Destructor Documentation

qx::IxClass::IxClass | ( |  | ) | `[inline, protected]`

Definition at line 81 of file IxClass.h.

virtual qx::IxClass::~IxClass | ( |  | ) | `[protected, pure virtual]`

## Member Function Documentation

QString qx::IxClass::dumpClass | ( |  | ) | const

virtual IxValidatorX* qx::IxClass::getAllValidator | ( |  | ) | `[virtual]`

Reimplemented in qx::QxClass< T >.

virtual IxClass* qx::IxClass::getBaseClass | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxClass< T >.

qx::dao::strategy::inheritance qx::IxClass::getDaoStrategy | ( |  | ) | const`[inline]`

Definition at line 93 of file IxClass.h.

IxDataMemberX* qx::IxClass::getDataMemberX | ( |  | ) | const`[inline]`

Definition at line 97 of file IxClass.h.

QString qx::IxClass::getDescription | ( |  | ) | const`[inline]`

Definition at line 91 of file IxClass.h.

IxFunctionX* qx::IxClass::getFctMemberX | ( |  | ) | const`[inline]`

Definition at line 98 of file IxClass.h.

IxDataMember* qx::IxClass::getId | ( |  | ) | const`[inline]`

Definition at line 99 of file IxClass.h.

QString qx::IxClass::getKey | ( |  | ) | const`[inline]`

Definition at line 88 of file IxClass.h.

QString qx::IxClass::getName | ( |  | ) | const`[inline]`

Definition at line 89 of file IxClass.h.

const char* qx::IxClass::getNamePtr | ( |  | ) | const`[inline]`

Definition at line 90 of file IxClass.h.

qx::QxSoftDelete qx::IxClass::getSoftDelete | ( |  | ) | const`[inline]`

Definition at line 94 of file IxClass.h.

long qx::IxClass::getVersion | ( |  | ) | const`[inline]`

Definition at line 92 of file IxClass.h.

virtual bool qx::IxClass::implementIxPersistable | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxClass< T >.

virtual bool qx::IxClass::isAbstract | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxClass< T >.

bool qx::IxClass::isDaoReadOnly | ( |  | ) | const`[inline]`

Definition at line 96 of file IxClass.h.

bool qx::IxClass::isFinalClass | ( |  | ) | const`[inline]`

Definition at line 95 of file IxClass.h.

bool qx::IxClass::isKindOf | ( | const QString & | sClassName | ) | const

bool qx::IxClass::isKindOf | ( | const std::type_info & | typeInfo | ) | const

void qx::IxClass::setDaoReadOnly | ( | bool | bDaoReadOnly | ) | `[inline]`

Definition at line 105 of file IxClass.h.

void qx::IxClass::setDaoStrategy | ( | qx::dao::strategy::inheritance | eDaoStrategy | ) | `[inline]`

Definition at line 103 of file IxClass.h.

void qx::IxClass::setDescription | ( | const QString & | sDesc | ) | `[inline]`

Definition at line 102 of file IxClass.h.

void qx::IxClass::setName | ( | const QString & | sName | ) | `[inline]`

Definition at line 101 of file IxClass.h.

void qx::IxClass::setSoftDelete | ( | const qx::QxSoftDelete & | oSoftDelete | ) | `[inline]`

Definition at line 104 of file IxClass.h.

virtual const std::type_info& qx::IxClass::typeInfo | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxClass< T >.

void qx::IxClass::updateClassX | ( |  | ) | `[protected]`

void qx::IxClass::updateNamePtr | ( |  | ) | `[inline, private]`

Definition at line 119 of file IxClass.h.

## Member Data Documentation

bool qx::IxClass::m_bDaoReadOnly`[protected]`

If 'true', cannot INSERT, UPDATE OR DELETE an instance of this class using qx::dao namespace.

Definition at line 71 of file IxClass.h.

bool qx::IxClass::m_bFinalClass`[protected]`

Class without base class (for example, qx::trait::no_base_class_defined and QObject)

Definition at line 70 of file IxClass.h.

QByteArray qx::IxClass::m_byteName`[protected]`

Optimization to retrieve name under "const char *" format.

Definition at line 76 of file IxClass.h.

qx::dao::strategy::inheritance qx::IxClass::m_eDaoStrategy`[protected]`

Dao class strategy to access data member.

Definition at line 72 of file IxClass.h.

long qx::IxClass::m_lVersion`[protected]`

'IxClass' version

Definition at line 69 of file IxClass.h.

qx::QxSoftDelete qx::IxClass::m_oSoftDelete`[protected]`

Soft delete (or logical delete) behavior.

Definition at line 73 of file IxClass.h.

IxValidatorX_ptr qx::IxClass::m_pAllValidator`[protected]`

List of validator associated to the class.

Definition at line 74 of file IxClass.h.

IxDataMemberX* qx::IxClass::m_pDataMemberX`[protected]`

List of data member.

Definition at line 63 of file IxClass.h.

IxFunctionX_ptr qx::IxClass::m_pFctMemberX`[protected]`

List of function member.

Definition at line 64 of file IxClass.h.

const char* qx::IxClass::m_pName`[protected]`

Optimization to retrieve name under "const char *" format.

Definition at line 77 of file IxClass.h.

QString qx::IxClass::m_sDescription`[protected]`

'IxClass' description

Definition at line 68 of file IxClass.h.

QString qx::IxClass::m_sKey`[protected]`

'IxClass' key <=> class name

Definition at line 66 of file IxClass.h.

QString qx::IxClass::m_sName`[protected]`

'IxClass' name <=> database table name (if empty => class name)

Definition at line 67 of file IxClass.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxRegister/IxClass.h